;	BUILD TECO
;
; TASK BUILD FILE FOR RSX-11D TECO. TO WORK IN ITS NORMAL FASHION,
; TECO SHOULD BE INSTALLED TWICE, ONCE UNDER ITS NORMAL NAME AND ONCE
; UNDER THE NAME "...MAK" TO IMPLEMENT THE "MAKE" COMMAND.
;
VTEC/CP/-FP=VTECBL/MP

TASK=...TEV
PRI=55
;
; LUN 1 IS USED FOR THE INDIRECT COMMAND FILE
; LUN 2 IS USED FOR CONSOLE I/O
; LUN 3 IS USED FOR THE OUTPUT FILE
; LUN 4 IS USED FOR THE INPUT FILE
; LUN 5 IS USED BY THE ERROR PROCESSOR
; LUN 6 IS USED FOR THE TEMP DIRECTORY
; LUN 7 IS USED FOR "EN" COMMANDS
;
UNITS=7
ASG=TI:2
ASG=SY:1:3:4:5:6:7
;
; PATCH THE LUN USED BY THE ERROR PROCESSOR (GERRM)
;
GBLPAT=INIT:.EOLUN:5
;
STACK=400
;
; TECO'S DYNAMIC MEMORY IS ALLOCATED FROM THE REGION STARTING AT THE
; END OF THE TASK IMAGE AND ENDING AT THE END OF THE PARTITION.
; IF THE DYNAMIC MEMORY FACILITY IS NOT IN USE, ASSEMBLE TECOIO WITH
; THE PARAMETER R$$DYM=0, AND USE AN EXTSCT DIRECTIVE HERE TO 
; SPECIFY THE TOTAL NO. OF BYTES IN OCTAL FOR THE DYNAMIC MEMORY REGION
; E.G.
;	EXTSCT=$$DYB1:20000	;WOULD GIVE 4K WORDS, 8K BYTES
;
; IF DYNAMIC MEMORY IS IN USE, RECOMMEND A MINIMUM TASK SIZE:
;
EXTTSK=15000
;
; THE FOLLOWING PARAMETER SETS TECO'S BUFFER EXPANSION LIMIT. IF
; STARTED WITH A BUFFER SIZE UNDER THIS LIMIT, THEN IT WILL NOT
; EXPAND BEYOND IT. IF STARTED WITH A SIZE ABOVE THE LIMIT
; (WITH RUN OR INS /INC=) THEN IT WILL EXPAND TO THE MAXIMUM
; POSSIBLE TASK SIZE. THE VALUE GIVEN OF 40000 CORRESPONDS TO 8K WORDS.
;
GBLDEF=BUFLIM:50000
;
; THE FOLLOWING PARAMETER SETS THE SIZE OF TECO'S PUSH DOWN LIST.
; IT MAY BE NECESSARY TO INCREASE THIS TO ACCOMMODATE MANY LEVELS OF
; ITERATION, MACRO CALLS, ETC.
;
GBLDEF=PDLSIZ:200
;
; THE FOLLOWING PARAMETER SETS THE SIZE OF THE SEARCH BUFFER.
; IT MAY BE INCREASED TO ACCOMMODATE VERY LONG SEARCH STRINGS.
;
GBLDEF=SCHSIZ:200
;
; THE REMAINING SPACE IS DYNAMICALLY SHARED BETWEEN TEXT BUFFER AND
; Q REGISTER STORAGE.
; THE FOLLOWING PARAMTER DEFINES THE MINIMUM AMOUNT OF SPACE REQUIRED.
;
GBLDEF=MBFSIZ:2000
;
//
